import java.awt.Dimension;
import java.awt.Point;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDesktopPane;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

import com.mindfusion.diagramming.Diagram;

public class MainFrame extends JFrame
{
	public MainFrame()
	{
		super("MindFusion.Diagramming sample: Multiple Views");
		diag = new Diagram();
		
		mBar = new JMenuBar();
		mView = new JMenu();
		mINew = new JMenuItem();
		
		mView.setText("View");
		
		mINew.setText("New");
		mINew.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent arg0)
			{
				addNewView();
			}
		});
		
		mView.add(mINew);
		mBar.add(mView);
		this.setJMenuBar(mBar);
		
		desktopPane = new JDesktopPane();
		setContentPane(desktopPane);
		
		Dimension size = Toolkit.getDefaultToolkit().getScreenSize();
		setSize(size);
		
		addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent e){
				System.exit(0);
			}
		});
		
		
	}
	
	public void addNewView()
	{
		ChildFrame frame = new ChildFrame("View " + String.valueOf( 1 + counter));
		frame.setDiagram(diag);
		frame.setVisible(true);
		frame.setLocation(counter * offset, counter * offset);
		
		desktopPane.add(frame);
		try {
            frame.setSelected(true);
        } catch (java.beans.PropertyVetoException e) {}
        
		counter++;
    }
	
	private int counter = 0;
	private int offset = 50;
	
	private Diagram diag;
	private JDesktopPane desktopPane;
	private JMenuBar mBar;
	private JMenu mView;
	private JMenuItem mINew;
}
